Bug#870033: blackbird-gtk-theme: Please package a new upstream version

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#870033: blackbird-gtk-theme: Please package a new upstream version

Erik Brangs
Package: blackbird-gtk-theme
Version: 0.4+20160704~ab4a30e-1
Severity: wishlist

Dear Maintainer,

thanks for packaging the Blackbird theme. It seems to be the only dark theme for XFCE that's currently usable. The default themes don't work well with Eclipse (e.g. buttons in the search windows aren't visible or their text isn't readable).

There are a few warnings when using the version of Blackbird that's currently packaged in Stretch. For example, when I use evince I get several warnings like

(evince:2418): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:186:14: not a number

(evince:2418): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:186:14: Expected a string.

I suppose they're harmless but they're annoying. There were a few commits in the upstream repository that fix warnings so I'd like to see a new upstream version in Debian. This would also allow people to eventually request a backport for Stretch.

-- System Information:
Debian Release: 9.1
  APT prefers stable-debug
  APT policy: (500, 'stable-debug'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.9.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8), LANGUAGE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages blackbird-gtk-theme depends on:
ii  gtk2-engines-murrine  0.98.1.1-6

blackbird-gtk-theme recommends no packages.

blackbird-gtk-theme suggests no packages.

-- no debconf information

Reply | Threaded
Open this post in threaded view
|

Bug#870033: blackbird-gtk-theme: Please package a new upstream version

Yves-Alexis Perez-2
On Sat, 2017-07-29 at 07:30 +0200, Erik Brangs wrote:

> Package: blackbird-gtk-theme
> Version: 0.4+20160704~ab4a30e-1
> Severity: wishlist
>
> Dear Maintainer,
>
> thanks for packaging the Blackbird theme. It seems to be the only dark theme
> for XFCE that's currently usable. The default themes don't work well with
> Eclipse (e.g. buttons in the search windows aren't visible or their text
> isn't readable).
>
> There are a few warnings when using the version of Blackbird that's
> currently packaged in Stretch. For example, when I use evince I get several
> warnings like
>
> (evince:2418): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:186:14:
> not a number
>
> (evince:2418): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:186:14:
> Expected a string.
>
> I suppose they're harmless but they're annoying. There were a few commits in
> the upstream repository that fix warnings so I'd like to see a new upstream
> version in Debian. This would also allow people to eventually request a
> backport for Stretch.
Hi Jeremy,

will you handle this bug (along with few other on blackbird and greybird)?

Regards,
--
Yves-Alexis

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#870033: blackbird-gtk-theme: Please package a new upstream version

Thomas Morin-3
In reply to this post by Erik Brangs
Indeed it would be nice to package a recent upstream master version including
the fixes for CSS parsing errors [1].

Without these fixes, any GTK app started from a terminal polutes the
terminal with all these CSS theme parsing errors...

Thanks in advance to whoever could do that :)

-Thomas

[1] https://github.com/shimmerproject/Blackbird/commit/8ff2eb0b2a137b6de4a79c5a04f93fe0c5cf5849

Reply | Threaded
Open this post in threaded view
|

Bug#870033: #870033 blackbird-gtk-theme: Please package a new upstream version

Franklin Yu
In reply to this post by Erik Brangs
Dear maintainer,

Is there any update for this? At least we should be able to update the version in sid before backporting some of the patches to testing/stable?

Thanks,
Franklin
Reply | Threaded
Open this post in threaded view
|

Bug#870033: #870033 blackbird-gtk-theme: Please package a new upstream version

Yves-Alexis Perez-2
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Fri, 2019-09-27 at 05:08 +0000, Yu Franklin wrote:
> Dear maintainer,
>
> Is there any update for this? At least we should be able to update the
> version in sid before backporting some of the patches to testing/stable?

Hey,

I don't have much time or interest anymore in maintaining those theme, so I'm
unlikely to fixe those. I can orphan them but the repository was on alioth and
I didn't do any migration, so if someone is interested, feel free to take it
over.

Regards,
- --
Yves-Alexis
-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEE8vi34Qgfo83x35gF3rYcyPpXRFsFAl2Qc00ACgkQ3rYcyPpX
RFuCxQgAgoK8XxJpBf83gQRSa4BrDO/jBLAKd5Y1NMEY5yWdC2MACcbI/WaN0ADf
kxr96KH9c32v9vbr3DGXLXFO/EvCQUrWv2NrVfgCAA62GPK8Vmgda6P9YmSLdsnU
/lCp1k08mh5EbJLuavJVOQJAdJmdvdn74LKseSnrrUbH5vWTftfzEhoVKH4ekdUx
9iqlTRjOHS/2JZDfQEwPRfw2jc2lkSmgRa2bnu4pHNhYso1WcPJsuVa1rDafk03l
hc832sWzXrVv0EUwLCuY+GpgFUaMEhx8etrh0fpbDj1sdQWURqfGRjY1YlKMHB0n
SWHq4a9vYQf6ML9Zs7WAoyLOWVwVqA==
=4/d7
-----END PGP SIGNATURE-----

Reply | Threaded
Open this post in threaded view
|

Bug#870033: #870033 blackbird-gtk-theme: Please package a new upstream version

Jeremy Bicha-5
On Sun, Sep 29, 2019 at 5:06 AM Yves-Alexis Perez <[hidden email]> wrote:
> I don't have much time or interest anymore in maintaining those theme, so I'm
> unlikely to fixe those. I can orphan them but the repository was on alioth and
> I didn't do any migration, so if someone is interested, feel free to take it
> over.

I can copy it over to the Desktop Themes Team like we did with Greybird.

Thanks,
Jeremy Bicha

Reply | Threaded
Open this post in threaded view
|

Bug#870033: #870033 blackbird-gtk-theme: Please package a new upstream version

Yves-Alexis Perez-2
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Sun, 2019-09-29 at 06:29 -0400, Jeremy Bicha wrote:

> On Sun, Sep 29, 2019 at 5:06 AM Yves-Alexis Perez <[hidden email]> wrote:
> > I don't have much time or interest anymore in maintaining those theme, so
> > I'm
> > unlikely to fixe those. I can orphan them but the repository was on alioth
> > and
> > I didn't do any migration, so if someone is interested, feel free to take
> > it
> > over.
>
> I can copy it over to the Desktop Themes Team like we did with Greybird.

That works for me. Thanks Jeremy!
- --
Yves-Alexis
-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEE8vi34Qgfo83x35gF3rYcyPpXRFsFAl2Qmp0ACgkQ3rYcyPpX
RFulBggA4cKWXTI/wRdIKdj8tFk6ul1efLMx7Mg3dwnI1BgP4pjehHt8fnG57LrO
Ts8GRqDwYOUTGmTWFH3I0VmEuidejN5/zHaqCogJr9r61a8Kf/m3l/KjGKNTKnwS
1rRHSCnGr7CLmrE/2cjGDWGVYF6jSH7nB70Viy2rmnRC4Ef42Plz24EYCNqxA8Nq
XgufpAQFCjfajayXpQDHjOgUFwVWV0cbFZOMHayoprMjysRoBOrR31pVrlpWHpJR
s4GkiRqyFnj3of1k4fJA33GHeXkUNWTXGrb3S5O9Gkx1N0VDFLRPKg6+ykZql5Av
6b3Q8BjGfuk4l0MHmGOoLxpL/JFfoA==
=jRKI
-----END PGP SIGNATURE-----

Reply | Threaded
Open this post in threaded view
|

Bug#870033: blackbird-gtk-theme: Please package a new upstream version

Boyuan Yang-2
Hi all,

There is a pending Merge Request for blackbird-gtk-theme, aiming to refresh
the packaging of new upstream version for this package. You may find the MR
here:
https://salsa.debian.org/desktop-themes-team/blackbird-gtk-theme/merge_requests/1

I am working with the submitter currently. Is there any chance to grant me a
write permission to the git repo so that the Merge Request could be processed
promptly?

Let me know if there's any questions.

--
Cheers,
Boyuan Yang

On Sun, 29 Sep 2019 13:50:53 +0200 Yves-Alexis Perez <[hidden email]>
wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> On Sun, 2019-09-29 at 06:29 -0400, Jeremy Bicha wrote:
> > On Sun, Sep 29, 2019 at 5:06 AM Yves-Alexis Perez <[hidden email]>
wrote:
> > > I don't have much time or interest anymore in maintaining those theme,
so
> > > I'm
> > > unlikely to fixe those. I can orphan them but the repository was on
alioth
> > > and
> > > I didn't do any migration, so if someone is interested, feel free to
take

> > > it
> > > over.
> >
> > I can copy it over to the Desktop Themes Team like we did with Greybird.
>
> That works for me. Thanks Jeremy!
> - --
> Yves-Alexis
> -----BEGIN PGP SIGNATURE-----
>
> iQEzBAEBCAAdFiEE8vi34Qgfo83x35gF3rYcyPpXRFsFAl2Qmp0ACgkQ3rYcyPpX
> RFulBggA4cKWXTI/wRdIKdj8tFk6ul1efLMx7Mg3dwnI1BgP4pjehHt8fnG57LrO
> Ts8GRqDwYOUTGmTWFH3I0VmEuidejN5/zHaqCogJr9r61a8Kf/m3l/KjGKNTKnwS
> 1rRHSCnGr7CLmrE/2cjGDWGVYF6jSH7nB70Viy2rmnRC4Ef42Plz24EYCNqxA8Nq
> XgufpAQFCjfajayXpQDHjOgUFwVWV0cbFZOMHayoprMjysRoBOrR31pVrlpWHpJR
> s4GkiRqyFnj3of1k4fJA33GHeXkUNWTXGrb3S5O9Gkx1N0VDFLRPKg6+ykZql5Av
> 6b3Q8BjGfuk4l0MHmGOoLxpL/JFfoA==
> =jRKI
> -----END PGP SIGNATURE-----
>
>

signature.asc (875 bytes) Download Attachment